<page-hoc>
  <div class="todos-page">
    <div class="header">
      <h1>TODOS</h1>

      <button
        class="add-todo"
        (click)="toggleCreateTodoMode(!isCreateTodoModeActive)"
      >
        <app-icon
          [type]="isCreateTodoModeActive ? 'minus' : 'plus'"
          class="icon"
        ></app-icon>
      </button>
    </div>
    <create-todo
      *ngIf="isCreateTodoModeActive"
      (add)="addTodo($event)"
      class="create-todo"
    ></create-todo>
    <div class="todos">
      <todo
        *ngFor="let todo of todos; let i = index"
        [todo]="todo"
        [index]="i"
        (update)="updateTodo($event)"
        (remove)="removeTodo($event)"
      />
    </div>
  </div>
</page-hoc>
